package org.jeecg.modules.ctop.job;

import cn.com.ctop.crawler.modules.oceanengine.service.IOceanEngineService;
import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

@Slf4j
public class OceanengineJob implements Job {
    @Autowired
    private IOceanEngineService oceanEngineService;

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        String account="3248395570@qq.com";
        String password = "Ydxq-704127411";
        oceanEngineService.login(account,password);
        oceanEngineService.douyinHotHandler(1,1);
        oceanEngineService.effectCaseHandler(1);
        oceanEngineService.hotMaterialHandler(1,1,"西瓜");
        oceanEngineService.hotMaterialHandler(1,3,"火山");
        oceanEngineService.hotMaterialHandler(1,4,"抖音");
        oceanEngineService.hotMaterialHandler(1,8,"头条");
        oceanEngineService.hotMaterialHandler(1,9,"穿山甲");
        log.info("巨量创意抓取完成");
    }
}
